@echo off

call wipe.cmd

g++ -O2 -Wall -o split.exe split.cpp
split.exe < tests.all

g++ -O2 -Wall -o bridge_yp.exe ../bridge_yp.cpp
g++ -O2 -Wall -o check.exe ../check.cpp

for %%f in (??) do (
  copy %%f bridge.in
  bridge_yp.exe
  copy bridge.out %%f.a
  check.exe bridge.in bridge.out %%f.a
)
